Subject: Re: CEM vs CEP in draft-ietf-pwe3-iana-allocation-01.txt

From: Luca Martini <[email-masked]>
Date: Tue, 17 Jun 2003 10:05:10 -0600

ok, i'll fix the reference.

Andy can you send me the correct one ?

Luca

Sasha Vainshtein wrote:
> Mark and Luca,
> Can you (or Andy) explain why it is necessary to maintain 
> separate PW types for CEP and CEM?
> And, BTW, CEM description includes a reference [8] which is
> simply lacking in the document. If a reference to draft-malis has
> been intended, this draft seem to be expired (no such at the IETF site)...
> 
> With best regards,
>                                    Sasha Vainshtein
> email:     [email-masked] <mailto:[email-masked]> 
> tel:       +972-3-7659993 (office)
>            +972-8-9254948 (res.)
>            +972-58-674833 (cell.)
>  
> 
> 
> 
>>-----Original Message-----
>>From: [email-masked] [mailto:[email-masked]]
>>Sent: Tuesday, June 17, 2003 1:58 PM
>>Cc: [email-masked]
>>Subject: I-D ACTION:draft-ietf-pwe3-iana-allocation-01.txt
>>
>>
>>A New Internet-Draft is available from the on-line 
>>Internet-Drafts directories.
>>This draft is a work item of the Pseudo Wire Emulation Edge 
>>to Edge Working Group of the IETF.
>>
>>	Title		: IANA Allocations for pseudo Wire Edge to Edge 
>>                          Emulation (PWE3)
>>	Author(s)	: L. Martini, W. Townsley
>>	Filename	: draft-ietf-pwe3-iana-allocation-01.txt
>>	Pages		: 5
>>	Date		: 2003-6-16
>>	
>>The Control and maintenance protocol for providing various Layer 1
>>and Layer 2 services over a Packet Switched Network has been
>>described in [2]. This document pre-allocates the fixed Pseudo-wire
>>identifier , and other fixed protocol values that are to be assigned
>>by IANA using the 'IETF Consensus' policy defined in RFC2434
>>
>>A URL for this Internet-Draft is:
>>http://www.ietf.org/internet-drafts/draft-ietf-pwe3-iana-alloc
>>ation-01.txt
>>
>>To remove yourself from the IETF Announcement list, send a message to 
>>ietf-announce-request with the word unsubscribe in the body 
>>of the message.
>>
>>Internet-Drafts are also available by anonymous FTP. Login 
>>with the username
>>"anonymous" and a password of your e-mail address. After logging in,
>>type "cd internet-drafts" and then
>>	"get draft-ietf-pwe3-iana-allocation-01.txt".
>>
>>A list of Internet-Drafts directories can be found in
>>http://www.ietf.org/shadow.html 
>>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>
>>
>>Internet-Drafts can also be obtained by e-mail.
>>
>>Send a message to:
>>	[email-masked].
>>In the body type:
>>	"FILE /internet-drafts/draft-ietf-pwe3-iana-allocation-01.txt".
>>	
>>NOTE:	The mail server at ietf.org can return the document in
>>	MIME-encoded form by using the "mpack" utility.  To use this
>>	feature, insert the command "ENCODING mime" before the "FILE"
>>	command.  To decode the response(s), you will need "munpack" or
>>	a MIME-compliant mail reader.  Different MIME-compliant 
>>mail readers
>>	exhibit different behavior, especially when dealing with
>>	"multipart" MIME messages (i.e. documents which have been split
>>	up into multiple messages), so check your local documentation on
>>	how to manipulate these messages.
>>		
>>		
>>Below is the data which will enable a MIME compliant mail reader
>>implementation to automatically retrieve the ASCII version of the
>>Internet-Draft.
>>
> 
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 17 Jun 2003 10:41:02 -0400

Sasha,

CEP is, as we know, going to be the standards track 
specification.  However, it is still a bit of a moving target, and I can't 
speak for other companies, but Vivace intends to hold off on completing our 
implementation until we're in the final stages of publishing the RFC, since 
it's being implemented in silicon.

Meanwhile, there are several existing implementations of CEM, including 
Vivace's.  Once CEP is ready to replace CEM in the field, we need a new PW 
type for it since the bits on the wire will be different - otherwise it 
will be impossible to gracefully upgrade.  It's not like we're running out 
of PW types.

Finally, once CEP has been published as the standards track document, we 
intend to publish CEM as an informational/historical RFC to document the 
original implementations for posterity.

Thanks for pointing out the broken reference.  I'll fix it.

Cheers,
Andy

-------

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 17 Jun 2003 13:12:51 -0400

Luca,

Actually, there are two reference [8]s in the text.  The first one is in 
the PW type:

            0x0008   SONET/SDH Circuit Emulation Service Over MPLS (CEM) [8]

Seeing as none of the other PW types have document references, we should 
remove this one as well.  Either that, or add references to all of them.

However, Sasha did ask for an explanation, so let's change this to:

            0x0008   SONET/SDH Circuit Emulation Service Over MPLS (CEM) 
[Note 1]

At the end of the table, add:

Note 1: This PW type is grandfathered for a historical protocol.  The 
recommended standards-track protocol to use is CEP {PW type 0x0010).

The second [8] is on the interface parameter ID:

       0x04         4       CEP [8] Payload Bytes.

A better case can be made for keeping this reference, since the definition 
of the parameter contents is in the referenced document.  This can be 
renumbered to [2], and the reference is:

[2] Malis, A., et al, "SONET/SDH Circuit Emulation over Packet (CEP)", 
draft-ietf-pwe3-sonet-01.txt, January 2003, work in progress.

Cheers,
Andy

-------

At 6/17/2003 10:05 AM -0600, Luca Martini wrote:
>>Can you (or Andy) explain why it is necessary to maintain separate PW 
>>types for CEP and CEM?
>>>A New Internet-Draft is available from the on-line Internet-Drafts 
>>>directories.
>>>This draft is a work item of the Pseudo Wire Emulation Edge to Edge 
>>>Working Group of the IETF.
>>>
>>>         Title           : IANA Allocations for pseudo Wire Edge to 
>>> Edge                          Emulation (PWE3)
>>>ietf-announce-request with the word unsubscribe in the body of the message.
>>>
>>>Internet-Drafts are also available by anonymous FTP. Login with the username
>>>http://www.ietf.org/shadow.html or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>>
>>>
>>>         a MIME-compliant mail reader.  Different MIME-compliant mail 
>>> readers